#
# spec file for package python-os-cloud-config
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-os-cloud-config
Version:        0.4.0
Release:        3.2
Summary:        Configuration for OpenStack clouds
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://pypi.python.org/packages/source/o/os-cloud-config/os-cloud-config-%{version}.tar.gz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Sphinx
BuildRequires:  python-coverage
BuildRequires:  python-devel
BuildRequires:  python-fixtures
BuildRequires:  python-ironicclient
BuildRequires:  python-mock
#BuildRequires:  python-neutronclient
#BuildRequires:  python-novaclient
BuildRequires:  python-oslo.config
BuildRequires:  python-oslosphinx
BuildRequires:  python-pbr
BuildRequires:  python-pyOpenSSL
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-Babel >= 1.3
#Requires:       python-ironicclient >= 0.2.1
Requires:       python-glanceclient >= 1.2.0
Requires:       python-keystoneclient >= 1.6.0
Requires:       python-neutronclient >= 2.6.0
Requires:       python-novaclient >= 2.29.0
Requires:       python-oslo.config >= 3.4.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-pyOpenSSL >= 0.14
Requires:       python-six >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Requires:       python-argparse
%else
BuildArch:      noarch
%endif

%description
Configuration for OpenStack clouds.

%prep
%setup -q -n os-cloud-config-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS README.rst LICENSE ChangeLog
%{_bindir}/generate-keystone-pki
%{_bindir}/init-keystone
%{_bindir}/register-nodes
%{_bindir}/setup-endpoints
%{_bindir}/setup-neutron
%{_bindir}/setup-flavors
%{_bindir}/init-keystone-heat-domain
%{_bindir}/upload-kernel-ramdisk

%{python2_sitelib}/*

%changelog
* Thu Mar  3 2016 tbechtold@suse.com
- update to 0.4.0:
  * Updated from global requirements
  * Add []'s around ipv6 address when creating keystone clients
  * Enable ssl for ceilometer
  * Remove argparse from requirements
  * Add []'s around ipv6 addresses when creating url's
  * Updated from global requirements
  * use keystoneclient exceptions instead of oslo-incubator code
  * remove python 2.6 trove classifier
  * Updated from global requirements
  * Change swift ssl port
  * Do not pass the 'public' endpoint when doing pki initialization
  * Allow control over the Keystone adminurl and internalurl endpoint
  * Add agent_irmc driver support into os-cloud-config
  * Don't import ironicclient exceptions from openstack.common
  * Updated from global requirements
  * Add iscsi_irmc driver support into os-cloud-config
  * Add wol ironic driver support
  * Refactor _extract_driver_info() to reduce complexity
  * Remove requirement of specifying hardware stats
  * Trove Integration
  * Add pxe_irmc driver support into os-cloud-config
  * Sahara Integration
  * Change ignore-errors to ignore_errors
  * Updated from global requirements
  * Fix nodes registering with fake_pxe driver
  * register-nodes: add support for pxe_ucs
  * register-nodes: add support for fake_pxe
  * Adding IPMI parameters managed by Ironic
  * Enable Configuring Manila Service
  * register-nodes: drop support for Nova baremetal
  * register-nodes: add iboot support for node updates
  * Use public ip for pki initialization
  * Fix unit test failures w/ mock 1.2.0
  * Don't try to connect to keystone admin via ssl
  * Add SSL support for Ironic registration
  * Fix a typo
- Adjust Requires according to requirements.txt
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.2.9:
  * Add the cinder v2 service to setup_endpoints
  * Switch to Nova client v2
  * Drop use of 'oslo' namespace package
  * Updated from global requirements
  * Updated from global requirements
  * Remove pxe_ prefix from deploy_ramdisk and deploy_kernel params
  * Filter domain by name
  * Enable ssl registration for Heat
  * Don't register https endpoints for non-ssl services
  * Updated from global requirements
  * Fix tuskar path
  * Add pxe_drac driver support to os-cloud-config
  * Clean up usage.rst
  * use 'id' instead of 'name' for locating default domain
  * Updated from global requirements
  * Shift EnvironmentVariable fixture setup to base
  * Add support to skip either kernel or ramdisk
  * Set kernel and ramdisk ID for ironic nodes
  * Refactor glance.create_or_find_kernel_and_ramdisk
  * Destroy pointless test
  * Do not hardcode datacentre as the physical network
  * Add support for pxe_ilo driver
  * Fix MissingEnvironment test failures
  * Add tests for setup-flavors command-line utility
  * Add a glance module that allows uploading images
  * Add support for creating a Glance client
  * Updated from global requirements
  * Passing OS_CACERT to clients
  * If one node is locked, keep trying the rest
  * Do not use https for keystone v2 admin
  * Add support to create a Keystone domain for Heat
  * Add support for creating Keystone v3 clients
  * Workflow documentation is now in infra-manual
- Adjust Requires according to requirements.txt
- Install /usr/bin/init-keystone-heat-domain and
  /usr/bin/upload-kernel-ramdisk
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Thu Jan  8 2015 tbechtold@suse.com
- update to version 0.2.2:
  * Updated from global requirements
  * Deal with uppercase MAC address in register-nodes
  * Updated from global requirements
  * register_all_nodes() now accepts keystoneclient
  * Bump hacking to 0.9.x series
  * Updated from global requirements
  * Fix the swift keystone path
  * Factor out repeated dereference
  * Support adding extra routes when creating subnets
  * Permit configuration of DHCP when creating subnets
  * Split up extracting Ironic driver_info method
  * Allow register-node to accept int for input
  * user is no longer required for init-keystone
  * README introduction fixups
  * Remove debugging print
  * Deprecate PKI setup in init-keystone
  * Put a cap on our cyclomatic complexity
  * Switch to oslo.i18n
  * Add support for injecting extra-specs into flavors
  * Add support for creating baremetal flavors
  * Updated from global requirements
  * Revert "Make keystone_pki less keystone specific"
  * Sprinkle :: throughout the setup-neutron docs
  * fix formatting issues in README.rst
  * Do not create the _member_ role
  * ssl_for_create_admin_client
  * Updated from global requirements
  * Set iboot_relay_id and iboot_port
  * Add a new blocking argument to register_all_nodes
  * Support custom nameservers in setup-neutron
  * Correct intent of function names in nodes
  * Allow use custom ssh_virt_type when register node
  * Create _member_ role instead of Member
  * Updated from global requirements
  * Fix help for register-nodes
  * register-nodes: add support for iboot
  * Modify gitignore to ignore cover
- Adjust Requires according to requirements.txt
- Remove relax-hacking.diff patch. No longer needed
- Install /usr/bin/setup-flavors into bindir
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 0.1.9:
  * Update node details during node registration
  * Decoupling client creation from actual config calls
  * Run pki init conditionally
  * Move _clients to cmd dir
  * Moving code from __init__
  * Enable standard logging in os-cloud-config
  * Updated from global requirements
  * Add two tests for creating subnets
  * Add some prose to the README
  * Fix ordering in setup.cfg
  * Adding timeout parameters to init-keystone
* Fri Aug 29 2014 dmueller@suse.com
- Initial package (0.1.7)
